import { AxiosInstance } from 'axios';
import Conditional from './conditional';
export interface WaitTimeParameters {
    location?: string | number;
    limit?: number;
    page?: number;
}
export interface WaitTimeResource {
    at(location: string | number): this;
    on(page: number): this;
    take(limit: number): this;
}
export default class WaitTime extends Conditional implements WaitTimeResource {
    protected client: AxiosInstance;
    protected limit: number | null;
    protected location: string | number | null;
    protected page: number | null;
    constructor(client: AxiosInstance);
    at(location: string | number): this;
    get(): Promise<any>;
    on(page: number): this;
    take(limit: number): this;
}
